Main Page Packages Class Hierarchy Compound List File List Compound Members

# characterdataappenddatagetdata Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| characterdataappenddatagetdata (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

On successful invocation of the "appendData(arg)" method the "getData()" method provides access to the concatentation of data and the specified string.

Retrieve the character data from the second child of the first employee. The appendData(arg) method is called with arg=", Esquire". The method should append the specified data to the already existing character data. The new value return by the "getData()" method should be "Margaret Martin, Esquire".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-72AB8359 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-32791A2F

Definition at line 49 of file characterdataappenddatagetdata.java.

## Constructor & Destructor Documentation

characterdataappenddatagetdata::characterdataappenddatagetdata | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file characterdataappenddatagetdata.java.
    00052  {
    00053       super(factory);
    00054
    00055    }

## Member Function Documentation

String characterdataappenddatagetdata::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 72 of file characterdataappenddatagetdata.java.
    00072                                 {
    00073       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/characterdataappenddatagetdata";
    00074    }

void characterdataappenddatagetdata::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 75 of file characterdataappenddatagetdata.java. References DOMTestCase::doMain().
    00075                                           {
    00076         DOMTestCase.doMain(characterdataappenddatagetdata.class,args);
    00077    }

void characterdataappenddatagetdata::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 57 of file characterdataappenddatagetdata.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00057                                                     {
    00058       Document doc;
    00059       NodeList elementList;
    00060       Node nameNode;
    00061       CharacterData child;
    00062       String childData;
    00063       doc = load("staff");
    00064       elementList = doc.getElementsByTagName("name");
    00065       nameNode = elementList.item(0);
    00066       child = (CharacterData)nameNode.getFirstChild();
    00067       child.appendData(", Esquire");
    00068       childData = child.getData();
    00069       assertEquals("characterdataAppendDataGetDataAssert","Margaret Martin, Esquire",childData);
    00070
    00071    }

The documentation for this class was generated from the following file:

- characterdataappenddatagetdata.java